All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::error_checker< T > Struct Template Reference

An error reporting class. Template argument is used to avoid problems with external linkage. More...

`#include <error.hpp>`

## Static Public Member Functions

static void | raise_exception (cl_int err)
| Trows exceptions that reflect OpenCL error codes. More...
static void | checkError (cl_int err, const char *, const char *, int)
| Checks whether an OpenCL error has occured. More...

## Detailed Description

### template<typename T>
struct viennacl::ocl::error_checker< T >

An error reporting class. Template argument is used to avoid problems with external linkage.

Do not use this class directly, use the macro CL_ERROR_CHECK instead.

Template Parameters

  T | Useless. Helps to avoid troubles with external linkage of namespace functions.

Definition at line 589 of file error.hpp.

## Member Function Documentation

template<typename T >

static void viennacl::ocl::error_checker< T >::checkError | ( | cl_int | err,
|  | const char * | ,
|  | const char * | ,
|  | int |
| ) |  |

inline static

Checks whether an OpenCL error has occured.

Do not use this function directly, use the macro CL_ERROR_CHECK instead.

Definition at line 658 of file error.hpp.

template<typename T >

static void viennacl::ocl::error_checker< T >::raise_exception | ( | cl_int | err | ) |

inline static

Trows exceptions that reflect OpenCL error codes.

Definition at line 593 of file error.hpp.

The documentation for this struct was generated from the following file:

- viennacl/ocl/error.hpp